<template>
  <v-app id="inspire">
    <!-- <v-navigation-drawer v-model="drawer">
    </v-navigation-drawer> -->
    <v-navigation-drawer permanent v-model="drawer">
      <v-list color="transparent">
        <v-list-item
          prepend-icon="mdi-view-dashboard"
          title="Home"
          to="/home"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-account-box"
          title="About"
          to="/about"
        ></v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-app-bar>
      <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>

      <v-app-bar-title>Application</v-app-bar-title>
    </v-app-bar>

    <v-main>
      <!--  -->
      <router-view> </router-view>
    </v-main>
  </v-app>
</template>

<script setup>
import { ref } from 'vue'

const drawer = ref(null)
</script>

<script>
export default {
  data: () => ({ drawer: null }),
}
</script>
